% script to generate multiple datasets from target temporal data held in a
% 4 dimensional array called orig_10. Dimensions are
% numb er of datasets * number of target units * 3 * time points
% where time points should match with n_delta_integrate in
% generatenoisysamples
%
% internal values
nj = 0 ; % N_Jitter: number of jittered neurons
nu = 50 ; % N_uncorr: number of un correlated neurons
durn = 10 ; % Duration ins econds
ssnr = 1 ; % show SNR? 1 = Yes 0 = No
%
% orig_10 is 4-D array with the orig_temporal values
[t1 t2 t3 t4] = size(orig_10) ;
for i=1:t1
    % generate this dataset
    % for the 1st dataset, keep the spike times
    if (i==1)
        [data d1 d2] = generatenoisysamples('N_Jitter', nj, 'N_Uncorr', nu, ...
            'Duration', durn,  'ShowSNR', ssnr, ...
            'Orig_Temporal_Supplied', squeeze(orig_10(i,:,:,:))) ;
    else
        [data d1 d2] = generatenoisysamples('N_Jitter', nj, 'N_Uncorr', nu, ...
            'Duration', durn,  'ShowSNR', ssnr, 'ReuseTargetTimes', d1,...
            'Orig_Temporal_Supplied', squeeze(orig_10(i,:,:,:))) ;
    end
    save(['DS1_' num2str(i)], 'data') ;
end
    
    